# For Perl-Git
%define perl  %{_bindir}/perl_32
%define perl_version  %(eval "`%{perl} -V:version`" ; echo $version)
%define perl_vendorlib %(eval "`%{perl} -V:installvendorlib`"; echo $installvendorlib)

# Tests by default. No tests: rpm -ba --define 'dotests 0' git*.spec
%{!?dotests: %define dotests 1}
# - Include prebuilt documentation - pbs xmlto/asciidoc & access to network URLs
%global use_prebuilt_docs   1
%define _libdir64 %{_libdir}64

Name: 		git
Version: 2.40.0
Release: 1
Summary:  	Core git tools
License: 	GPLv2
Group: 		Development/Tools
URL: 		http://kernel.org/pub/software/scm/git/
Source0: http://kernel.org/pub/software/scm/git//git-%{version}.tar.xz
Source2: 	%{name}.conf.httpd
Source3: 	gitweb.conf.in
Source4: 	https://www.kernel.org/pub/software/scm/git/%{name}-htmldocs-%{version}.tar.xz
Source5: 	https://www.kernel.org/pub/software/scm/git/%{name}-htmldocs-%{version}.tar.sign
Source6: 	https://www.kernel.org/pub/software/scm/git/%{name}-manpages-%{version}.tar.xz
Source7: 	https://www.kernel.org/pub/software/scm/git/%{name}-manpages-%{version}.tar.sign
Source8:	git-print-failed-test-output.sh
Patch0: 	%{name}-2.31.1-aix.patch
Patch1:		%{name}-2.40.0-compat_util.patch
Patch2:		%{name}-2.40.0-Makefile.patch
#Patch3:		%{name}-2.35.1-makefile.patch
Patch4:		%{name}-2.20.1-libexec.patch
Patch5:		%{name}-2.40.0-bmaxdata.patch
Patch6:		%{name}-2.31.1-SIGCHLD-handler-v2.patch
Patch7:		%{name}-2.20.1-fileno.patch
Patch8:		%{name}-2.31.1-AR-L.patch

%if ! %{use_prebuilt_docs}
BuildRequires:	asciidoc >= 8.6.3
BuildRequires:	xmlto >= 0.0.24-1
%endif

BuildRequires:	coreutils
BuildRequires:	curl-devel >= 7.86.0-1
BuildRequires:	expat-devel >= 2.4.9-1
BuildRequires:	gettext >= 0.21-2
BuildRequires:	perl >= %{perl_version}
BuildRequires:	zlib-devel >= 1.2.13-1

Requires:	bash >= 5.0-2
Requires:	gettext >= 0.21-2
Requires:	less >= 551-1
Requires:	perl >= %{perl_version}
Requires:	python3 >= 3.7.12-1
Requires:	rsync >= 3.2.7-1
Requires:	zlib >= 1.2.13-1
Requires:	libiconv >= 1.17-1
Requires:   git-core = %{version}-%{release}
Requires:   git-core-doc = %{version}-%{release}
Obsoletes: 	git-arch <= %{version}-%{release}

%description
Git is a fast, scalable, distributed revision control system with an
unusually rich command set that provides both high-level operations
and full access to internals.

%package all
Summary:        Meta-package to pull in all git tools
BuildArch:      noarch
Requires:       git = %{version}-%{release}
Requires:       git-cvs = %{version}-%{release}
Requires:       git-email = %{version}-%{release}
Requires:       git-gui = %{version}-%{release}
Requires:       git-subtree = %{version}-%{release}
Requires:       git-svn = %{version}-%{release}
Requires:       git-instaweb = %{version}-%{release}
Requires:       gitk = %{version}-%{release}
Requires:       perl-Git = %{version}-%{release}

%description all
Git is a fast, scalable, distributed revision control system with an
unusually rich command set that provides both high-level operations
and full access to internals.

This is a dummy package which brings in all subpackages.


%package core
Summary:        Core package of git with minimal functionality
Requires:       less >= 551-1
Requires:	zlib >= 1.2.13-1
Requires:	curl >= 7.86.0-1
Requires:	expat >= 2.4.9-1
Requires:	libiconv >= 1.17-1
Requires:	gettext >= 0.21-2

%description core
Git is a fast, scalable, distributed revision control system with an
unusually rich command set that provides both high-level operations
and full access to internals.

The git-core rpm installs really the core tools with minimal
dependencies. Install git package for common set of tools.
To install all git packages, including tools for integrating with
other SCMs, install the git-all meta-package.


%package core-doc
Summary:        Documentation files for git-core
BuildArch:      noarch
Requires:       git-core = %{version}-%{release}

%description core-doc
Documentation files for git-core package including man pages.


%package subtree
Summary:        Git tools to merge and split repositories
Requires:       git-core = %{version}-%{release}

%description subtree
Git subtrees allow subprojects to be included within a subdirectory
of the main project, optionally including the subproject's entire
history.


%package cvs
Summary:        Git tools for importing CVS repositories
Group:          Development/Tools
Requires:       %{name} = %{version}-%{release}
Requires:       cvs >= 1.11.23
Requires:       cvsps >= 2.2b1
Requires:       perl >= %{perl_version}

%description cvs
Git tools for importing CVS repositories.


%package daemon
Summary:        Git protocol dæmon
Group:          Development/Tools
Requires:       %{name} = %{version}-%{release}
Requires:	libiconv >= 1.16-1
Requires:	gettext >= 0.21-2
Requires:	zlib >= 1.2.13-1

%description daemon
The git daemon for supporting git:// access to git repositories


%package email
Summary:        Git tools for sending email
Group:          Development/Tools
Requires:	%{name} = %{version}-%{release}
Requires:	perl >= %{perl_version}
Requires: 	perl-Net-SMTP-SSL >= 1.04
Requires: 	perl-Authen-SASL >= 2.16
%description email
Git tools for sending email.


%package gui
Summary:        Git GUI tool
Group:          Development/Tools
Requires:       %{name} = %{version}-%{release}
#Requires:       tcl >= 8.4
#Requires:       tk >= 8.4

%description gui
Git GUI tool.


%package instaweb
Summary:        Repository browser in gitweb
BuildArch:      noarch
Requires:       git = %{version}-%{release}
Requires:       gitweb = %{version}-%{release}
Requires:       httpd

%description instaweb
A simple script to set up gitweb and a web server for browsing the local
repository.


%package svn
Summary:        Git tools for importing Subversion repositories
Group:          Development/Tools
Requires:       %{name} = %{version}-%{release}
Requires:       perl >= %{perl_version}
Requires:       subversion
## Requires:     perl(Term::Readkey)

%description svn
Git tools for importing Subversion repositories.


%package -n gitk
Summary:        Git revision tree visualiser
Group:          Development/Tools
Requires:       %{name} = %{version}-%{release}
#Requires:       tcl >= 8.4
#Requires:       tk >= 8.4

%description -n gitk
Git revision tree visualiser.


%package -n gitweb
Summary:        Simple web interface to git repositories
Group:          Development/Tools
Requires:       %{name} = %{version}-%{release}
Requires:       httpd
Requires:       perl >= %{perl_version}

%description -n gitweb
Simple web interface to track changes in git repositories


%package -n perl-Git
Summary:        Perl interface to Git
Group:          Development/Libraries
BuildArch:      noarch
# this is contained in our base perl packag
# BuildRequires:  perl(ExtUtils::MakeMaker)
# this we don't have yet
# BuildRequires:  perl(Error)
Requires:       %{name} = %{version}-%{release}
#Requires:       perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
Requires:       perl >= %{perl_version}
#Requires:       perl(Error)

%description -n perl-Git
Perl interface to Git.


%prep
%setup -q
%patch0
%patch1
%patch2
%patch6
%patch7
%patch8 -p1

# AIX sed doesn't have the -i flag
export SED=/opt/freeware/bin/sed

# Change "/usr/bin/perl" to "/usr/bin/env perl" in contrib scripts's shebangs.
for f in `find contrib -type f`; do
	$SED -i "s|#!/usr/bin/perl|#!/usr/bin/env perl|g" $f
done

# git-remove-mediawiki.perl have a space in its shebang.
f=contrib/mw-to-git/git-remote-mediawiki.perl
$SED -i "s|#! /usr/bin/perl|#! /usr/bin/env perl|g" $f

# hooks--fsmonitor-watchman.sample is another problematic shell under /template
f=templates/hooks--fsmonitor-watchman.sample
$SED -i "s|#!/usr/bin/perl|#!/usr/bin/env perl|g" $f

%if %{use_prebuilt_docs}
mkdir -p prebuilt_docs/html
mkdir -p prebuilt_docs/man
cd prebuilt_docs/html
xz -dc %{SOURCE4} | tar xf -
cd ../../prebuilt_docs/man
xz -dc %{SOURCE6} | tar xf -
cd ../..
# Remove non-html files
find prebuilt_docs/html -type f ! -name '*.html' | xargs rm
find prebuilt_docs/html -type d | xargs rmdir --ignore-fail-on-non-empty
%endif

# Move docs to Documentation
mv contrib/subtree/git-*.txt Documentation/

# Install print-failed-test-output script
install -p -m 755 %{SOURCE8} git-print-failed-test-output.sh

# Use these same options for every invocation of 'make'.
# Otherwise it will rebuild in %%install due to flags changes.
cat << \EOF > config.mak
prefix = %{_prefix}
mandir = %{_mandir}
CC_LD_DYNPATH = "-L"
ETC_GITCONFIG = %{_sysconfdir}/gitconfig

PERL_PATH = %{_bindir}/perl
PYTHON_PATH = %{_bindir}/python3
SHELL_PATH = %{_bindir}/bash

# gitweb
GITWEB_PROJECTROOT = /var/lib/git
gitwebdir = /var/www/git

# Perl
perllibdir = %{perl_vendorlib}


EOF
# Print config.mak to aid confirmation/verification of settings
cat config.mak

rm -rf   /tmp/%{name}-%{version}-32bit
cp -pr . /tmp/%{name}-%{version}-32bit
rm -fr *
mv       /tmp/%{name}-%{version}-32bit 32bit
cp -pr 32bit 64bit
#%patch3
cd 32bit
%patch5
cd ../64bit
%patch4 -p0


%build
export CC="/opt/freeware/bin/gcc"
export CXX="/opt/freeware/bin/g++"
export AR="/usr/bin/ar -X32_64"
export SED="/opt/freeware/bin/sed"
export TAR=/opt/freeware/bin/tar
#Build on 64bit mode
cd 64bit
export OBJECT_MODE=64
export CFLAGS="-O2 -maix64"
export LDFLAGS="-L/opt/freeware/lib64 -L/opt/freeware/lib -Wl,-blibpath:/opt/freeware/lib64:/opt/freeware/lib:/usr/lib:/lib"

chmod +x ./configure
./configure \
    --prefix=%{_prefix} \
    --mandir=%{_mandir} \
    --libdir=/opt/freeware/lib64 \
    --libexecdir=/opt/freeware/libexec64 \
    --with-perl=%{_prefix}/bin/perl \
    --with-openssl=/usr \
    --with-pager=/opt/freeware/bin/less \
    --with-shell=/opt/freeware/bin/bash \
    --with-python=%{_bindir}/python3

PATH=/opt/freeware/bin:$PATH CFLAGS="$CFLAGS" gmake %{?_smp_mflags} NO_REGEX=NeedsStartEnd V=1
# Make man for perl Modules
# It's not provided by git-manpages tar
gmake man-perl

# Build subtree
gmake -C contrib/subtree
if [ "%{dotests}" == 1 ]
then
    (make -i test NO_REGEX=NeedsStartEnd || true)
(gmake -C contrib/credential/netrc/ -k test || \
 gmake -C contrib/credential/netrc/ -k testverbose || \
 true)

fi

#Build on 32bit mode
cd ../32bit
export OBJECT_MODE=32
export CFLAGS="-O2 -D_LARGE_FILES -maix32"
export LDFLAGS="-Wl,-bmaxdata:0x80000000 -L/opt/freeware/lib -Wl,-blibpath:/opt/freeware/lib:/usr/lib:/lib"
export CURL_CONFIG=/opt/freeware/bin/curl-config_32

chmod +x ./configure
./configure \
    --prefix=%{_prefix} \
    --mandir=%{_mandir} \
    --libdir=/opt/freeware/lib \
    --libexecdir=/opt/freeware/libexec \
    --with-perl=%{_prefix}/bin/perl \
    --with-openssl=/usr \
    --with-pager=/opt/freeware/bin/less \
    --with-shell=/opt/freeware/bin/bash \
    --with-python=%{_bindir}/python3

PATH=/opt/freeware/bin:$PATH CFLAGS="$CFLAGS" gmake %{?_smp_mflags} NO_REGEX=NeedsStartEnd V=1
# Make man for perl Modules
# It's not provided by git-manpages tar
gmake man-perl

# Build subtree
gmake -C contrib/subtree

if [ "%{dotests}" == 1 ]
then
    (make -i test NO_REGEX=NeedsStartEnd || true)
(gmake -C contrib/credential/netrc/ test || \
 gmake -C contrib/credential/netrc/ testverbose || \
 true)

fi

%install
export PATH=/opt/freeware/bin:$PATH

[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}

#Install on 64bit mode
cd 64bit
export OBJECT_MODE=64
gmake install DESTDIR=${RPM_BUILD_ROOT} INSTALLDIRS=vendor NO_REGEX=NeedsStartEnd

gmake install DESTDIR=${RPM_BUILD_ROOT} -C contrib/subtree

(
    cd  ${RPM_BUILD_ROOT}/%{_prefix}/bin
    for fic in $(ls -1| grep -v -e _32 -e _64)
    do
	mv $fic "$fic"_64
    done
)
/usr/bin/strip ${RPM_BUILD_ROOT}%{_bindir}/*_64 || :

mkdir -p ${RPM_BUILD_ROOT}/var/lib64/git
#sed "s|@PROJECTROOT@|/var/lib64/git|g" \
#    %{SOURCE3} > ${RPM_BUILD_ROOT}%{_sysconfdir}/gitweb.conf


#Install on 32bit mode
cd ../32bit
export OBJECT_MODE=32
gmake install DESTDIR=${RPM_BUILD_ROOT} INSTALLDIRS=vendor NO_REGEX=NeedsStartEnd

gmake install DESTDIR=${RPM_BUILD_ROOT} -C contrib/subtree

(
    cd  ${RPM_BUILD_ROOT}/%{_prefix}/bin
    for fic in $(ls -1| grep -v -e _32 -e _64)
    do
	mv $fic "$fic"_32
	ln -sf "$fic"_64 $fic
    done
)


%if ! %{use_prebuilt_docs}
gmake install-doc DESTDIR=${RPM_BUILD_ROOT} INSTALLDIRS=vendor
%else
mkdir -p %{buildroot}%{_mandir}
cp -a prebuilt_docs/man/* %{buildroot}%{_mandir}
cp -a prebuilt_docs/html/* Documentation/
%endif

/usr/bin/strip ${RPM_BUILD_ROOT}%{_bindir}/*_32 || :
/usr/bin/strip ${RPM_BUILD_ROOT}%{_libexecdir}/git-core/* || :
/usr/bin/strip ${RPM_BUILD_ROOT}%{_libexecdir}64/git-core/* || :

mkdir -p ${RPM_BUILD_ROOT}/%{_sysconfdir}/httpd/conf.d
install -m 0644 %{SOURCE2} ${RPM_BUILD_ROOT}/%{_sysconfdir}/httpd/conf.d/git.conf

mkdir -p ${RPM_BUILD_ROOT}/var/lib/git
sed "s|@PROJECTROOT@|/var/lib/git|g" \
    %{SOURCE3} > ${RPM_BUILD_ROOT}%{_sysconfdir}/gitweb.conf

mkdir -p ${RPM_BUILD_ROOT}%{_mandir}/man3
# Install man of perl Modules
gmake install-man-perl DESTDIR=${RPM_BUILD_ROOT} INSTALLDIRS=vendor

find ${RPM_BUILD_ROOT} -type f -name .packlist -exec rm -f {} ';'
find ${RPM_BUILD_ROOT} -type f -name '*.bs' -exec rm -f {} ';'
find ${RPM_BUILD_ROOT} -type f -name perllocal.pod -exec rm -f {} ';'

exclude_re="archimport|email|git-(citool|cvs|daemon|gui|instaweb|p4|subtree|svn)|gitk|gitweb|p4merge"

(find ${RPM_BUILD_ROOT}%{_bindir} -type f -o -type l | grep -vE "$exclude_re" | sed -e s@^${RPM_BUILD_ROOT}@@) > bin-man-doc-files
cat bin-man-doc-files
(find ${RPM_BUILD_ROOT}%{_bindir} -mindepth 1 -type d | grep -vE "$exclude_re" | sed -e "s@^${RPM_BUILD_ROOT}@%dir @") >> bin-man-doc-files
(find ${RPM_BUILD_ROOT}%{_libexecdir} -type f -o -type l | grep -vE "$exclude_re" | sed -e s@^${RPM_BUILD_ROOT}@@) >> bin-man-doc-files
(find ${RPM_BUILD_ROOT}%{_libexecdir}64 -type f -o -type l | grep -vE "$exclude_re" | sed -e s@^${RPM_BUILD_ROOT}@@) >> bin-man-doc-files
(find ${RPM_BUILD_ROOT}%{_libexecdir} -mindepth 1 -type d | grep -vE "$exclude_re" | sed -e "s@^${RPM_BUILD_ROOT}@%dir @") >> bin-man-doc-files
(find ${RPM_BUILD_ROOT}%{_libexecdir}64 -mindepth 1 -type d | grep -vE "$exclude_re" | sed -e "s@^${RPM_BUILD_ROOT}@%dir @") >> bin-man-doc-files

(find ${RPM_BUILD_ROOT}%{perl_vendorlib} -type f | sed -e s@^${RPM_BUILD_ROOT}@@) > perl-git-files
(find ${RPM_BUILD_ROOT}%{perl_vendorlib} -mindepth 1 -type d | sed -e "s@^${RPM_BUILD_ROOT}@%dir @") >> perl-git-files

(find ${RPM_BUILD_ROOT}%{_mandir}     -type f | grep -vE "$exclude_re|Git" | sed -e s@^${RPM_BUILD_ROOT}@@ -e 's/$/*/' ) >> bin-man-doc-files

# Setup bash completion
mkdir -p ${RPM_BUILD_ROOT}%{_prefix}/share/bash-completion/
install -Dpm 644 contrib/completion/git-completion.bash ${RPM_BUILD_ROOT}%{_prefix}/share/bash-completion/git

# Install git-prompt.sh
mkdir -p ${RPM_BUILD_ROOT}%{_datadir}/git-core/contrib/completion
install -pm 644 contrib/completion/git-prompt.sh \
		${RPM_BUILD_ROOT}%{_datadir}/git-core/contrib/completion/


# Install contrib/hooks
mkdir -p ${RPM_BUILD_ROOT}%{_datadir}/git-core/contrib
cp -r contrib/hooks ${RPM_BUILD_ROOT}%{_datadir}/git-core/contrib

# Split core files
not_core_re="git-(add--interactive|contacts|credential-(libsecret|netrc)|difftool|filter-branch|instaweb|request-pull|send-mail)|gitweb"
grep -vE "$not_core_re|%{_mandir}" bin-man-doc-files > bin-files-core
touch man-doc-files-core
grep -vE "$not_core_re" bin-man-doc-files | grep "%{_mandir}" > man-doc-files-core.tmp
grep -E  "$not_core_re" bin-man-doc-files > bin-man-doc-git-files

# Remove git-credential-cache--daemon.1 duplicates
grep -v "git-credential-cache--daemon.1" man-doc-files-core.tmp > man-doc-files-core


%pre
cur_ver=`rpm -qi curl|grep Version|cut -d':' -f2`
cur_ver=`echo "$cur_ver" | /usr/bin/awk -F "." '{ printf("%03d%03d%03d\n", $1,$2,$3); }';`
cur_rel=`rpm -qi curl|grep Release|cut -d':' -f2`
req_ver=7.60.0
req_ver=`echo "$req_ver" | /usr/bin/awk -F "." '{ printf("%03d%03d%03d\n", $1,$2,$3); }';`
if [[ $cur_ver < $req_ver ]]; then
	echo "Please update curl to 7.60.0 or later so that proper gcc(6.3.0) version will be installed.
              curl-7.60.0 is built with gcc-6.3.0, hence the system needs to have gcc-6.3.0 or higher version."
	exit 1
fi

%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files -f 32bit/bin-man-doc-git-files
%defattr(-,root,system)
%{_datadir}/git-core/contrib/hooks/multimail
%{_datadir}/git-core/contrib/hooks/update-paranoid
%{_datadir}/git-core/contrib/hooks/setgitperms.perl
%{_datadir}/git-core/templates/hooks/fsmonitor-watchman.sample
%{_datadir}/git-core/templates/hooks/pre-rebase.sample
%{_datadir}/git-core/templates/hooks/prepare-commit-msg.sample


%files core -f 32bit/bin-files-core
%defattr(-,root,system)
# exclude is best way here because of troubles with symlinks inside git-core/
%exclude %{_datadir}/git-core/contrib/hooks/multimail
%exclude %{_datadir}/git-core/contrib/hooks/update-paranoid
%exclude %{_datadir}/git-core/contrib/hooks/setgitperms.perl
%exclude %{_datadir}/git-core/templates/hooks/fsmonitor-watchman.sample
%exclude %{_datadir}/git-core/templates/hooks/pre-rebase.sample
%exclude %{_datadir}/git-core/templates/hooks/prepare-commit-msg.sample
%{_datadir}/git-core/

%files core-doc -f 32bit/man-doc-files-core
%defattr(-,root,system)
%doc 32bit/README.md 32bit/COPYING 32bit/contrib/
%doc 32bit/Documentation/RelNotes
%doc 32bit/Documentation/howto 32bit/Documentation/technical
%doc 32bit/Documentation/*.txt 32bit/Documentation/*.html

%files subtree
%defattr(-,root,system)
%doc 32bit/Documentation/git-subtree.txt
# This doc aren't provided in prebuilt docs.
# %doc 32bit/Documentation/git-subtree.html
# %{_mandir}/man1/git-subtree.1*
%{_libexecdir}/git-core/git-subtree*
%{_libexecdir}64/git-core/git-subtree*

%files all
# No files for you!

%files instaweb
%defattr(-,root,system)
%{_libexecdir}/git-core/git-instaweb*
%{_libexecdir}64/git-core/git-instaweb*
%{_mandir}/man1/git-instaweb.1*
%doc 32bit/Documentation/git-instaweb.txt
%doc 32bit/Documentation/git-instaweb.html


%files cvs
%defattr(-,root,system)
%doc 32bit/Documentation/*git-cvs*.txt
%doc 32bit/Documentation/*git-cvs*.html
%{_bindir}/*cvsserver*
%{_libexecdir}/git-core/*cvs*
%{_libexecdir}64/git-core/*cvs*
%{_mandir}/man1/*cvs*.1*


%files daemon
%defattr(-,root,system)
%doc 32bit/Documentation/*daemon*.txt
%doc 32bit/Documentation/*daemon*.html
%{_libexecdir}/git-core/git-daemon
%{_libexecdir}64/git-core/git-daemon
%{_mandir}/man1/*daemon*.1*
/var/lib/git
/var/lib64/git


%files email
%defattr(-,root,system)
%doc 32bit/Documentation/*email*.txt
%doc 32bit/Documentation/*email*.html
%{_libexecdir}/git-core/*email*
%{_libexecdir}64/git-core/*email*
%{_mandir}/man1/*email*.1*


%files gui
%defattr(-,root,system)
%doc 32bit/Documentation/git-gui.txt
%doc 32bit/Documentation/git-gui.html
%doc 32bit/Documentation/git-citool.txt
%doc 32bit/Documentation/git-citool.html
%{_libexecdir}/git-core/git-gui*
%{_libexecdir}64/git-core/git-gui*
%{_libexecdir}/git-core/git-citool
%{_libexecdir}64/git-core/git-citool
%{_datadir}/git-gui
%{_mandir}/man1/git-citool.1*
%{_mandir}/man1/git-gui.1*


%files svn
%defattr(-,root,system)
%doc 32bit/Documentation/*svn*.txt
%doc 32bit/Documentation/*svn*.html
%{_libexecdir}/git-core/*svn*
%{_libexecdir}64/git-core/*svn*
%{_mandir}/man1/*svn*.1*


%files -n gitk
%defattr(-,root,system)
%doc 32bit/Documentation/*gitk*.txt
%doc 32bit/Documentation/*gitk*.html
%{_mandir}/man1/*gitk*.1*
%{_bindir}/*gitk*
%{_datadir}/gitk


%files -n perl-Git -f 32bit/perl-git-files
%defattr(-,root,system)
%{_mandir}/man3/*Git*
#%{_mandir}/man3/private-Error.3


%files -n gitweb
%defattr(-,root,system)
%doc 32bit/gitweb/INSTALL 32bit/gitweb/README
%config(noreplace)%{_sysconfdir}/gitweb.conf
%config(noreplace)%{_sysconfdir}/httpd/conf.d/git.conf
/var/www/git/


%changelog

* Tue Apr 25 2023 Shubham Gupta <Shubham.Gupta36@ibm.com> - 2.40.0-1
- Update to latest version and fixes CVE-2023-23946

* Thu Jan 19 2023 Sangeetha Bandi <sanbandi@in.ibm.com> - 2.38.3-1
- Update to 2.38.3
 
* Tue Nov 01 2022 Sangeetha Bandi<sanbandi@in.ibm.com> - 2.38.0-1
- Update to fix CVE-2022-29187 

* Wed Feb 09 2022 Sushree Das <sushree.das@ibm.com> - 2.35.1-1
- Update to latest version

* Sun Aug 08 2021 Reshma V Kumar <reskumar@in.ibm.com> - 2.31.1-1
- Update to latest version
- Stop shipping files in /usr directory

* Fri Jul 3 2020 Reshma V Kumar <reskumar@in.ibm.com> - 2.20.4-1
- Update to fix CVE-2020-5260,CVE-2020-5260
- Ship perl-Git files in proper path

* Wed Mar 18 2020 Reshma V Kumar <reskumar@in.ibm.com> 2.20.2-1
- Update to fix CVE-2019-1348, CVE-2019-19604, CVE-2019-1353
- Ship Git.pm in correct location

* Tue Feb 19 2019 Reshma V Kumar <reskumar@in.ibm.com> 2.20.1-1
- Update to latest version

* Thu Aug 2 2018 Reshma V Kumar <reskumar@in.ibm.com> 2.18.0-1
- Update to latest version

* Thu Jul 26 2018 Reshma V Kumar <reskumar@in.ibm.com> 2.15.0-2
- Rebuilt adding Requires: curl>=7.60.0, solve libexec64 path issue

* Thu Nov 30 2017 Reshma V Kumar <reskumar@in.ibm.com> 2.15.0-1
- Updated to latest version

* Fri Apr 28 2017 Reshma V Kumar <reskumar@in.ibm.com> 2.12.0-1
- Updated to latest version

* Tue May 10 2016 Michael Wilson <michael.wilson@bull.net> 2.8.2-1
- Updated to version 2.8.2

* Mon May 19 2014 Gerard Visiedo <gerard.visiedo@bull.net> 1.8.3.1-3
- Re-Build with openssl.10.0.1-g due to symbole lost into new library libcrypto.so.1.0.1

* Thu Jul 18 2013 Gerard Visiedo <gerard.visiedo@bull.net> 1.8.3.1-2
- Build on Aix6.1

* Mon Jun 24 2013 Michael Perzl <michael@perzl.org> - 1.8.3.1-1
- updated to version 1.8.3.1

* Wed May 29 2013 Michael Perzl <michael@perzl.org> - 1.8.3-1
- updated to version 1.8.3

* Wed May 29 2013 Michael Perzl <michael@perzl.org> - 1.8.2.3-1
- updated to version 1.8.2.3

* Wed Mar 20 2013 Michael Perzl <michael@perzl.org> - 1.8.2-1
- updated to version 1.8.2

* Wed Mar 20 2013 Michael Perzl <michael@perzl.org> - 1.8.1.5-1
- updated to version 1.8.1.5

* Wed Feb 20 2013 Michael Perzl <michael@perzl.org> - 1.8.1.4-1
- updated to version 1.8.1.4

* Thu Jan 17 2013 Michael Perzl <michael@perzl.org> - 1.8.1.1-1
- updated to version 1.8.1.1

* Tue Jan 08 2013 Michael Perzl <michael@perzl.org> - 1.8.1-1
- updated to version 1.8.1

* Tue Jan 08 2013 Michael Perzl <michael@perzl.org> - 1.8.0.3-1
- updated to version 1.8.0.3

* Mon Dec 17 2012 Michael Perzl <michael@perzl.org> - 1.8.0.2-1
- updated to version 1.8.0.2

* Wed Dec 05 2012 Michael Perzl <michael@perzl.org> - 1.8.0.1-1
- updated to version 1.8.0.1

* Thu Oct 25 2012 Michael Perzl <michael@perzl.org> - 1.8.0-1
- updated to version 1.8.0

* Thu Oct 25 2012 Michael Perzl <michael@perzl.org> - 1.7.12.4-1
- updated to version 1.7.12.4

* Tue Oct 09 2012 Michael Perzl <michael@perzl.org> - 1.7.12.3-1
- updated to version 1.7.12.3

* Tue Oct 09 2012 Michael Perzl <michael@perzl.org> - 1.7.11.7-1
- updated to version 1.7.11.7

* Thu Aug 09 2012 Michael Perzl <michael@perzl.org> - 1.7.11.4-1
- updated to version 1.7.11.4

* Fri Jul 27 2012 Michael Perzl <michael@perzl.org> - 1.7.11.3-1
- updated to version 1.7.11.3

* Wed Jul 18 2012 Michael Perzl <michael@perzl.org> - 1.7.11.2-1
- updated to version 1.7.11.2

* Fri Jun 22 2012 Michael Perzl <michael@perzl.org> - 1.7.11.1-1
- updated to version 1.7.11.1

* Tue Jun 19 2012 Michael Perzl <michael@perzl.org> - 1.7.11-1
- updated to version 1.7.11

* Tue Jun 19 2012 Michael Perzl <michael@perzl.org> - 1.7.10.5-1
- updated to version 1.7.10.5

* Mon Jun 04 2012 Michael Perzl <michael@perzl.org> - 1.7.10.4-1
- updated to version 1.7.10.4

* Mon Jun 04 2012 Michael Perzl <michael@perzl.org> - 1.7.10.2-2
- rebuilt against correct version of openssl

* Tue May 15 2012 Michael Perzl <michael@perzl.org> - 1.7.10.2-1
- updated to version 1.7.10.2

* Thu May 03 2012 Michael Perzl <michael@perzl.org> - 1.7.10.1-1
- updated to version 1.7.10.1

* Sun Apr 15 2012 Michael Perzl <michael@perzl.org> - 1.7.10-1
- updated to version 1.7.10

* Mon Apr 02 2012 Michael Perzl <michael@perzl.org> - 1.7.9.5-1
- updated to version 1.7.9.5

* Tue Mar 13 2012 Michael Perzl <michael@perzl.org> - 1.7.9.4-1
- updated to version 1.7.9.4

* Mon Mar 05 2012 Michael Perzl <michael@perzl.org> - 1.7.9.2-1
- updated to version 1.7.9.2

* Fri Feb 17 2012 Michael Perzl <michael@perzl.org> - 1.7.9.1-1
- updated to version 1.7.9.1

* Wed Feb 08 2012 Michael Perzl <michael@perzl.org> - 1.7.9-2
- fixed compile against wrong openssl version

* Tue Jan 31 2012 Michael Perzl <michael@perzl.org> - 1.7.9-1
- updated to version 1.7.9

* Tue Jan 31 2012 Michael Perzl <michael@perzl.org> - 1.7.8.4-1
- updated to version 1.7.8.4

* Thu Jan 05 2012 Michael Perzl <michael@perzl.org> - 1.7.8.2-1
- updated to version 1.7.8.2

* Fri Dec 23 2011 Michael Perzl <michael@perzl.org> - 1.7.8.1-1
- updated to version 1.7.8.1

* Thu Dec 15 2011 Michael Perzl <michael@perzl.org> - 1.7.8-1
- updated to version 1.7.8

* Thu Dec 15 2011 Michael Perzl <michael@perzl.org> - 1.7.7.4-1
- updated to version 1.7.7.4

* Thu Nov 17 2011 Michael Perzl <michael@perzl.org> - 1.7.7.3-1
- updated to version 1.7.7.3
- added man pages
- added 'git-daemon' package

* Thu Nov 03 2011 Michael Perzl <michael@perzl.org> - 1.7.7.2-1
- updated to version 1.7.7.2

* Tue Sep 27 2011 Michael Perzl <michael@perzl.org> - 1.7.6.4-1
- updated to version 1.7.6.4

* Wed Sep 07 2011 Michael Perzl <michael@perzl.org> - 1.7.6.1-1
- updated to version 1.7.6.1

* Mon Jul 25 2011 Michael Perzl <michael@perzl.org> - 1.7.6-2
- fixed a spec file typo

* Fri Jul 01 2011 Michael Perzl <michael@perzl.org> - 1.7.6-1
- updated to version 1.7.6

* Mon Jun 13 2011 Michael Perzl <michael@perzl.org> - 1.7.5.4-1
- updated to version 1.7.5.4

* Mon May 23 2011 Michael Perzl <michael@perzl.org> - 1.7.5.2-1
- updated to version 1.7.5.2

* Thu May 05 2011 Michael Perzl <michael@perzl.org> - 1.7.5.1-1
- updated to version 1.7.5.1

* Tue Apr 26 2011 Michael Perzl <michael@perzl.org> - 1.7.5-1
- updated to version 1.7.5

* Tue Apr 26 2011 Michael Perzl <michael@perzl.org> - 1.7.4.5-1
- updated to version 1.7.4.5

* Wed Apr 13 2011 Michael Perzl <michael@perzl.org> - 1.7.4.4-1
- updated to version 1.7.4.4

* Fri Apr 01 2011 Michael Perzl <michael@perzl.org> - 1.7.4.2-1
- updated to version 1.7.4.2

* Tue Mar 22 2011 Michael Perzl <michael@perzl.org> - 1.7.4.1-1
- updated to version 1.7.4.1

* Fri Feb 18 2011 Michael Perzl <michael@perzl.org> - 1.7.4-2
- fixed configure script for XLC so no profiling version is compiled

* Thu Feb 03 2011 Michael Perzl <michael@perzl.org> - 1.7.4-1
- updated to version 1.7.4

* Tue Jan 11 2011 Michael Perzl <michael@perzl.org> - 1.7.3.5-1
- updated to version 1.7.3.5

* Tue Dec 21 2010 Michael Perzl <michael@perzl.org> - 1.7.3.4-1
- updated to version 1.7.3.4

* Mon Dec 06 2010 Michael Perzl <michael@perzl.org> - 1.7.3.3-1
- updated to version 1.7.3.3

* Mon Oct 25 2010 Michael Perzl <michael@perzl.org> - 1.7.3.2-1
- updated to version 1.7.3.2

* Thu Oct 07 2010 Michael Perzl <michael@perzl.org> - 1.7.3.1-1
- updated to version 1.7.3.1

* Thu Oct 07 2010 Michael Perzl <michael@perzl.org> - 1.7.2.3-1
- updated to version 1.7.2.3

* Thu Aug 26 2010 Michael Perzl <michael@perzl.org> - 1.7.2.2-1
- updated to version 1.7.2.2

* Fri Jul 30 2010 Michael Perzl <michael@perzl.org> - 1.7.2.1-1
- updated to version 1.7.2.1

* Fri Jul 23 2010 Michael Perzl <michael@perzl.org> - 1.7.1.1-1
- updated to version 1.7.1.1

* Fri Jul 23 2010 Michael Perzl <michael@perzl.org> - 1.7.0.6-1
- updated to version 1.7.0.6

* Fri Jul 23 2010 Michael Perzl <michael@perzl.org> - 1.6.6.2-1
- updated to version 1.6.6.2

* Fri Jul 23 2010 Michael Perzl <michael@perzl.org> - 1.6.0.6-1
- updated to version 1.6.0.6

* Thu Nov 05 2009 Michael Perzl <michael@perzl.org> - 1.6.0.1-1
- first version for AIX V5.1 and higher
